Loading...
Searching...
No Matches
FGSegmentation Class Reference

Class representing the Segmentation Functional Group Macro. More...

Inheritance diagram for FGSegmentation:

## Public Member Functions

| FGSegmentation ()
| Constructor, creates empty functional group.
virtual | ~FGSegmentation ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns that this functional group can be used shared or per-frame, i.e. both.
virtual void | clearData ()
| Clear all data.
OFCondition | check () const
| Check whether data in this functional group is valid.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getReferencedSegmentNumber (Uint16 &value, const unsigned long pos=0)
| Get Referenced Segment Number.
virtual OFCondition | setReferencedSegmentNumber (const Uint16 &segmentNumber)
| Set Referenced Segment Number (starting from 1).
virtual OFCondition | read (DcmItem &item)
| Read functional group from item, must contain the Segment Identification Sequence.
virtual OFCondition | write (DcmItem &item)
| Write functional group to item, will write Segment Identification Sequence.
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes

DcmUnsignedShort | m_ReferencedSegmentNumber
| Referenced Segment Number: (US, 1-n, 1) Represents single value within the single permitted item of the Segment Identification Sequence being the data structure the Segmentation FG is made of.

## Additional Inherited Members

Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the Segmentation Functional Group Macro.

## Member Function Documentation

## check()

OFCondition FGSegmentation::check | ( |  | ) | const

virtual

Check whether data in this functional group is valid.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## clone()

virtual FGBase * FGSegmentation::clone | ( |  | ) | const

virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## compare()

virtual int FGSegmentation::compare | ( | const FGBase & | rhs | ) | const

virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGSegmentation) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the rhs object, or all compared components match but the rhs component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in the rhs object, or all compared components match but the rhs component is longer.

Implements FGBase.

References FGBase::FGBase().

## getReferencedSegmentNumber()

virtual OFCondition FGSegmentation::getReferencedSegmentNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )

virtual

Get Referenced Segment Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## getSharedType()

virtual DcmFGTypes::E_FGSharedType FGSegmentation::getSharedType | ( |  | ) | const

inline virtual

Returns that this functional group can be used shared or per-frame, i.e. both.

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## read()

virtual OFCondition FGSegmentation::read | ( | DcmItem & | item | ) |

virtual

Read functional group from item, must contain the Segment Identification Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## setReferencedSegmentNumber()

virtual OFCondition FGSegmentation::setReferencedSegmentNumber | ( | const Uint16 & | segmentNumber | ) |

virtual

Set Referenced Segment Number (starting from 1).

Parameters

  segmentNumber | Value to be set

Returns
  EC_Normal if successful, an error code otherwise

Referenced by DcmSegmentation::addFrame().

## write()

virtual OFCondition FGSegmentation::write | ( | DcmItem & | item | ) |

virtual

Write functional group to item, will write Segment Identification Sequence.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgseg.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0